/* 
 * AppController.h created by phr on 2000-08-27 11:38:59 +0000
 *
 * GNUstep Application Controller
 *
 * Created with ProjectCenter - http://www.gnustep.org
 *
 * $Id: AppController.h,v 1.1 2003/05/06 08:06:58 stoyan Exp $
 */
 
#ifndef _PCAPPPROJ_APPCONTROLLER_H
#define _PCAPPPROJ_APPCONTROLLER_H

#include <AppKit/AppKit.h>

@interface AppController : NSObject
{
    NSMatrix *matrix; //a matrix of NSImageCells
    NSWindow *window;

}

+ (void)initialize;

- (id)init;
- (void)dealloc;

- (void)awakeFromNib;

- (void)makeWindow;

- (void)addLogoTile;

- (void)addRecyclerTile;

- (void)resizeDock;

- (void)addTestTile;

- tick;

- (void)applicationDidFinishLaunching:(NSNotification *)notif;

- (BOOL)applicationShouldTerminate:(id)sender;
- (void)applicationWillTerminate:(NSNotification *)notification;

- (BOOL)application:(NSApplication *)application openFile:(NSString *)fileName;

- (void)showPrefPanel:(id)sender;
- (void)showInfoPanel:(id)sender;

@end

#endif
